Get Legacy Clarity Process
curl --request GET \
--url https://api.duvo.ai/v2/clarity/processes/{id}import requests
url = "https://api.duvo.ai/v2/clarity/processes/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.duvo.ai/v2/clarity/processes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"visibility": "team",
"version": 0,
"analysis": null,
"generationError": "<string>",
"customPrompt": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"captures": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"videoUrl": "<string>",
"videoTranscript": "<string>",
"transcript": [
{
"source": "ai",
"message": "<string>",
"speakerName": "<string>",
"timestamp": 123
}
],
"status": "pending",
"usabilityStatus": "usable",
"usabilityReason": null,
"usabilitySource": null,
"usabilityConfidence": null,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userName": "<string>",
"documentFileName": "<string>",
"documentTextMetadata": {
"pages": [
{
"pageNumber": 123,
"startOffset": 4503599627370495,
"endOffset": 4503599627370495,
"lines": [
{
"pageNumber": 123,
"lineNumber": 123,
"startOffset": 4503599627370495,
"endOffset": 4503599627370495
}
]
}
]
},
"hasTranscript": true,
"hasVideoTranscript": true,
"transcriptQuestionCount": 4503599627370495
}
],
"creatorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generationProgress": {
"steps": [
{
"key": "<string>",
"label": "<string>",
"status": "pending",
"order": 123,
"count": 123
}
]
},
"transformationGuidance": "<string>",
"transformationGuidanceAuthor": "<string>",
"transformationGuidanceDate": "<string>",
"usedGuidanceMessages": [
{
"content": "<string>",
"author": "<string>",
"date": "<string>"
}
],
"createdByName": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Clarity
Get Legacy Clarity Process
Get a legacy v1 Clarity process with process metadata, generated analysis, automation guidance, generation progress, and captures. Use this for rows from listClarityProcesses where version=1; v2 rows should use getClarityProcess and snapshot detail tools.
GET
/
v2
/
clarity
/
processes
/
{id}
Get Legacy Clarity Process
Path Parameters
Response
Default Response
Available options:
draft, collecting, generating, generating-current-process, generating-transformation-proposal, review, complete, generation_failed Available options:
team, restricted Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?